## ros-noetic-cv-bridge 1.16.2

=== debian/changelog ===
ros-noetic-cv-bridge (1.16.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 02 Oct 2022 15:00:00 -0000

ros-noetic-cv-bridge (1.16.1-1focal) focal; urgency=high

  * Fix 16U encoding type (#445 <https://github.com/ros-perception/vision_opencv/issues/445>)
  * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
  * Contributors: Ibrahim Essam, Kenji Brameld, Naoya Yamaguchi

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 05 Sep 2022 15:00:00 -0000

ros-noetic-cv-bridge (1.16.0-1focal) focal; urgency=high

  * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * decode images in mode IMREAD_UNCHANGED (#228 <https://github.com/ros-perception/vision_opencv/issues/228>)
  * Optimize includes (#354 <https://github.com/ros-perception/vision_opencv/issues/354>)
    As suggested by include-what-you-use
  * Fix Python linking on OSX (#331 <https://github.com/ros-perception/vision_opencv/issues/331>)
  * Fix typo (#333 <https://github.com/ros-perception/vision_opencv/issues/333>)
  * Contributors: Christian Rauch, Markus Vieth, Matthijs van der Burgh, Tobias Fischer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Nov 2021 15:00:00 -0000

ros-noetic-cv-bridge (1.15.0-1focal) focal; urgency=high

  * [Noetic] Use opencv3 on buster (#330 <https://github.com/ros-perception/vision_opencv/issues/330>)
  * more portable fixes. (#328 <https://github.com/ros-perception/vision_opencv/issues/328>)
  * Contributors: Sean Yen, Shane Loretz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 15:00:00 -0000

ros-noetic-cv-bridge (1.14.0-1focal) focal; urgency=high

  * Noetic release (#323 <https://github.com/ros-perception/vision_opencv/issues/323>)
  * update CMakeLists.txt for Windows build environment (#265 <https://github.com/ros-perception/vision_opencv/issues/265>)
  * remove path splash separator from 'package_dir' (#267 <https://github.com/ros-perception/vision_opencv/issues/267>)
  * fix travis. (#269 <https://github.com/ros-perception/vision_opencv/issues/269>)
  * Contributors: Alejandro Hernández Cordero, James Xu, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2020 15:00:00 -0000

ros-noetic-cv-bridge (1.13.0-1focal) focal; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 15:00:00 -0000

ros-noetic-cv-bridge (1.12.8-1focal) focal; urgency=high

  * Merge pull request #191 <https://github.com/ros-perception/vision_opencv/issues/191> from patrickelectric/kinetic
    cv2_to_imgmsg: step must be int
  * cv2_to_imgmsg: step must be int
    Signed-off-by: Patrick José Pereira <mailto:patrickelectric@gmail.com>
  * Contributors: Patrick José Pereira, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-cv-bridge (1.12.7-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 15:00:00 -0000

ros-noetic-cv-bridge (1.12.6-1focal) focal; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 15:00:00 -0000

ros-noetic-cv-bridge (1.12.5-1focal) focal; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 15:00:00 -0000

ros-noetic-cv-bridge (1.12.4-1focal) focal; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 15:00:00 -0000

ros-noetic-cv-bridge (1.12.3-1focal) focal; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy

