=== debian/control ===
Source: ros-noetic-cv-bridge
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python3-dev, python3-numpy <!nocheck>, python3-opencv, ros-noetic-catkin, ros-noetic-rosconsole, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-noetic-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, python3-dev, python3-opencv, ros-noetic-rosconsole, ros-noetic-sensor-msgs
Description: This contains CvBridge, which converts between ROS Image messages and OpenCV images.
